Method: projects.locations.estimateDataSize

הערכה של גודל הנתונים שישמשו לקוח.

בקשת HTTP

POST https://discoveryengine.googleapis.com/v1alpha/{location=projects/*/locations/*}:estimateDataSize

כתובת ה-URL כתובה בתחביר של gRPC Transcoding.

פרמטרים של נתיב

פרמטרים
location

string

חובה. השם המלא של המשאב של המיקום, למשל projects/{project}/locations/{location}.

גוף הבקשה

גוף הבקשה מכיל נתונים במבנה הבא:

ייצוג JSON
{

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "websiteDataSource": {
    object (WebsiteDataSource)
  },
  "fileDataSource": {
    object (FileDataSource)
  }
  // End of mutually exclusive fields.
}
שדות
מקור הנתונים שאנחנו מעריכים את הגודל שלו. בהמשך מפורטת רשימה של שדות שאי אפשר להשתמש בהם בו-זמנית. רק אחד מהשדות הבאים יוגדר בתשובה:
websiteDataSource

object (WebsiteDataSource)

נתונים מהאתר.

fileDataSource

object (FileDataSource)

נתונים מובנים או לא מובנים.

סוף השדות הבלעדיים.

גוף התשובה

אם הפעולה בוצעה ללא שגיאות, גוף התגובה יכיל מופע של Operation.

היקפי הרשאות

נדרש אחד מהיקפי ההרשאות הבאים של OAuth:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

ניתן למצוא מידע נוסף כאן: Authentication Overview.

הרשאות IAM

נדרשת הרשאת IAM הבאה במשאב location:

  • discoveryengine.locations.estimateDataSize

מידע נוסף מופיע במאמרי העזרה בנושא IAM.

WebsiteDataSource

מקור נתונים הוא קבוצה של דפוסי אתרים שאנחנו סורקים כדי לקבל את המספר הכולל של האתרים.

ייצוג JSON
{
  "estimatorUriPatterns": [
    {
      object (EstimatorUriPattern)
    }
  ]
}
שדות
estimatorUriPatterns[]

object (EstimatorUriPattern)

חובה. תבניות ה-URI להערכת גדלי הנתונים. מותר להזין עד 10 תבניות, אחרת מוצגת השגיאה INVALID_ARGUMENT.

EstimatorUriPattern

דפוסי URI שבהם אנחנו משתמשים לסריקה.

ייצוג JSON
{
  "providedUriPattern": string,
  "exactMatch": boolean,
  "exclusive": boolean
}
שדות
providedUriPattern

string

תבנית URI שסופקה על ידי משתמש. לדוגמה, foo.com/bar/*.

exactMatch

boolean

האם אנחנו מסיקים את ה-URI שנוצר או משתמשים ב-URI המדויק שסופק.

exclusive

boolean

האם התבנית היא בלעדית או לא. אם המדיניות מוגדרת כ-True, התבנית נחשבת בלעדית. אם המדיניות לא מוגדרת או מוגדרת כ-False, התבנית נחשבת ככוללת כברירת מחדל.

FileDataSource

מקור הנתונים מכיל קבצים ב-Cloud Storage או ב-BigQuery.

ייצוג JSON
{

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "gcsSource": {
    object (GcsSource)
  },
  "bigquerySource": {
    object (BigQuerySource)
  }
  // End of mutually exclusive fields.
}
שדות
המקור שמכיל את הקבצים שבהם רוצים להשתמש. בהמשך מפורטת רשימה של שדות שאי אפשר להשתמש בהם בו-זמנית. רק אחד מהשדות הבאים יוגדר בתשובה:
gcsSource

object (GcsSource)

מיקום ב-Cloud Storage של תוכן הקלט.

bigquerySource

object (BigQuerySource)

מקור קלט ב-BigQuery.

סוף השדות הבלעדיים.